Subject: bug#12832: 24.3.50; Emacs lockup when idle

From: Andy Moreton <[email-masked]>
Date: Tue, 13 Nov 2012 14:25:30 +0000

On 13/11/2012 14:07, Eli Zaretskii wrote:
>> Date: Tue, 13 Nov 2012 14:39:34 +0100
>> From: Dani Moncayo <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>, [email-masked],
>> 	Andy Moreton <[email-masked]>
>>
>> That build was from revno 110618 (2012-10-22), so the GCC version
>> should be 4.7.0, since MinGW didn't upgrade to 4.7.2 until 2012-11-05.
>
> Thanks.  Andrew used 4.7.0 before the crashes, so I don't think the
> compiler version is an issue.

Correct - I've done a clean bootstrap using 4.7.0, and I see this problem on 
both trunk and emacs-24 branches.

Looking emacs-24 (r110863) with Process Explorer:

212412   emacs.exe+0x32291              State:  Wait:DelayExecution
212616   emacs.exe+0x148efe             State:  Wait:Suspended
212604   emacs.exe+0x142350             State:  Wait:WrUserRequest
236140   RPCRT4.dll!ThreadStartRoutine  State:  Wait:WrQueue

I tried suspending and then resuming each thread in turn from Process 
Explorer. Resuming thread 212604 unblocked emacs and it started working again.

    AndyM